## org.aspectj.lang.reflect
Interface CodeSignature

All Superinterfaces:
  MemberSignature, Signature

All Known Subinterfaces:
  AdviceSignature, ConstructorSignature, InitializerSignature, MethodSignature

public interface CodeSignature
extends MemberSignature

Method Summary
`Class[]` `getExceptionTypes()`
`String[]` `getParameterNames()`
`Class[]` `getParameterTypes()`

Methods inherited from interface org.aspectj.lang.Signature
`getDeclaringType, getDeclaringTypeName, getModifiers, getName, toLongString, toShortString, toString`

Method Detail

### getParameterTypes

    public Class[] getParameterTypes()

### getParameterNames

    public String[] getParameterNames()

### getExceptionTypes

    public Class[] getExceptionTypes()